ch.rs.pvalue {uroot} | R Documentation

## P-values for the CH test statistic

### Description

Compute p-values for the Canova and Hansen (CH) test statistic based on the response surface regressions approach.

### Usage

    ch.rs.pvalue(x, type, lag1, S, n, nobsreg, VMdf)

### Arguments

`x` | a numeric. The value of the CH statistic.

`type` | a string specifying the formulation of the test, `"dummy"` for seasonal dummies or `"trigonometric"` for seasonal cycles.

`lag1` | logical indicating whether a first order lag of was included in the regression model.

`S` | numeric, the periodicity of the data.

`n` | numeric, the number of observations.

`nobsreg` | an integer indicating the number of points employed in the response surface regression.

`VMdf` | numeric, the degrees of freedom of the Von Mises distribution.

### Details

Ported from Gretl code provided by Díaz-Emparanza and Moral (2013).

For `type="dummy"`, the p-value for the joint test statistic is not available.

This function is mainly intended to be used internally by `ch.test`.

### Value

A numeric giving the calculated p-value.

### References

Díaz-Emparanza, I. and Moral, M. P. (2013) Seasonal Stability Tests in gretl. An Application to International Tourism Data. Working paper: Biltoki D.T. 2013.03. URL: https://addi.ehu.es/handle/10810/10577. Gretl code: http://www.ehu.eus/ignacio.diaz-emparanza/packages/Canova_Hansen.gfn.

### See Also

`ch.test`.

[Package uroot version 2.0-9.1 Index]